## audiowsincband audiowsincband |

## Properties

gfloat | lower-frequency | Read / Write
gfloat | upper-frequency | Read / Write
GstAudioWSincBandMode | mode | Read / Write
GstAudioWSincBandWindow | window | Read / Write
gint | length | Read / Write

## Types and Values

struct | GstAudioWSincBand

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioFXBaseFIRFilter
                                ╰── GstAudioWSincBand

## Description

Attenuates all frequencies outside (bandpass) or inside (bandreject) of a frequency band. The length parameter controls the rolloff, the window parameter controls rolloff and stopband attenuation. The Hamming window provides a faster rolloff but a bit worse stopband attenuation, the other way around for the Blackman window.

This element has the advantage over the Chebyshev bandpass and bandreject filter that it has a much better rolloff when using a larger kernel size and almost linear phase. The only disadvantage is the much slower execution time with larger kernels.

### Example launch line

    1
    2
    3
    gst-launch-1.0 audiotestsrc freq=1500 ! audioconvert ! audiowsincband mode=band-pass lower-frequency=3000 upper-frequency=10000 length=501 window=blackman ! audioconvert ! alsasink
    gst-launch-1.0 filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audiowsincband mode=band-reject lower-frequency=59 upper-frequency=61 length=10001 window=hamming ! audioconvert ! alsasink
    gst-launch-1.0 audiotestsrc wave=white-noise ! audioconvert ! audiowsincband mode=band-pass lower-frequency=1000 upper-frequency=2000 length=31 ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Thomas Vander Stichele <thomas at apestaart dot org>, Steven W. Smith, Dreamlab Technologies Ltd. <mathis.hofer@dreamlab.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioWSincBand

    struct GstAudioWSincBand;

Opaque data structure.

## Property Details

### The `“lower-frequency”` property

      “lower-frequency”          gfloat

Cut-off lower frequency (Hz).

Flags: Read / Write

Allowed values: [0,100000]

Default value: 0

### The `“upper-frequency”` property

      “upper-frequency”          gfloat

Cut-off upper frequency (Hz).

Flags: Read / Write

Allowed values: [0,100000]

Default value: 0

### The `“mode”` property

      “mode”                     GstAudioWSincBandMode

Band pass or band reject mode.

Flags: Read / Write

Default value: Band pass (default)

### The `“window”` property

      “window”                   GstAudioWSincBandWindow

Window function to use.

Flags: Read / Write

Default value: Hamming window (default)

### The `“length”` property

      “length”                   gint

Filter kernel length, will be rounded to the next odd number.

Flags: Read / Write

Allowed values: [3,256000]

Default value: 101